Subject: G92. Core energies. Summary.

From: [email-masked] (Aiaz Bakassov, Phys. Chem., ETH Zurich)
Date: Tue, 5 Jul 1994 15:35:17 +0200

Dear netters,

Some time ago, I posted
a question about 
"how to extract from G92
 the core energies H_nn,
 and, perhaps, the Coulomb
 integrals J_nm and exchange 
 integrals K_nm?"

The only answer came from:
ALBERTO GOBBI,           
[email-masked],
Bantzerstr. 9,      137.248.151.1,
D-35039 Marburg,
Tel. 8.00-18.00:   0049 6421 287001,
Fax: 0049 6421 285547.

Many many thanks to him !

I first summarize about core
energies H_nm (which is successful)
and then about J_nm and K_nm
which was not successful.

IMPORTANT:
I am reporting ONLY what
I tried myself. No one else
but me is responsible for my failure
with 2-e integrals.

The Gaussian92 Programmer's Guide
is abbreviated here as G92PG.

0) General advices.
^^^^^^^^^^^^^^^^^^^
--This sort of job requires
  some extent of Non-Standard Routes
  and Options. Look at section 4.4
  of G92PG starting from page 63.
--It is worth to look at *.log
  file of your job to see what links
  were executed. Then it is VERY useful
  to read in the source codes of those
  links the IOp() parameters meaning
  and the meaning of the links themselves
  - you'll learn a lot.

1) Core energies H_nm.
^^^^^^^^^^^^^^^^^^^^^^
   To get them from G92 
   to your *.log file
   put the following option
   into the input:

   IOp(3/33=1)

   along with your other input.
This causes the matrices of 
kinetic energy, potential energy and
of core energies to be printed.
These 3 matrices come together always.

One can get rid of multipoles
matrices and Fermi contact interaction
matrices (which also appear together
with those 3 matrices) adding 
to the above option
the following one:

    IOp(3/36=-1)

For description of these options
look at page 568 of G92PG.

2) Coulomb integrals J_nm
^^^^^^^^^^^^^^^^^^^^^^^^^^
   and exchange integrals K_nm.
   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

This was not successful.
After many trials I cannot get
them yet.

The idea was to put into the input

extralinks=l316

This option is supposed to give
2-e integrals because this link is
exactly for "dumping 2-e integrals"
as it follows from comments to its
source FORTRAN code.

For description of extralinks
look at page 64 of G92PG.

After putting this extralink,
I got many-many numbers which
I failed to exactly identify
(may be someone can do this for us?!).

And then error message appeared and G92 terminated 
abnormally.

What did NOT help to improve 
the situation (including various
 combinations of options below):
-- IOp(3/33=4)
-- IOp(3/33=5)
-- IOp(3/33=6),
    [look at page 568 of G92PG for meaning
     of these IOp's]
-- NoSymm [in *.log file this 
           only changed some wording]
-- NoRaff [the same as about NoSymm]

-- IOp(3/34=2)
-- IOp(3/34=3)
     [page 568 of G92PG]

-- extralinks=(311,316)
     [look at the source codes of
      those links]    

That's all I can report about
what I myself tried along the advice
given to me.

So, the core energies are okay
and 2-e integrals are NOT.

Would very much appreciate
further development of this discussion
and hints where I've made errors.

Very interesting advice came
>from [email-masked]:
  "Since I don't know how big your problems are
   I suggested l804 which has the integrals you
   requested produced without disk storage and 
   you can start by modifying the output routines
   to identify the ones you need
   and discard the rest.
      Doug Fox."

I copied the L804 source code and looked at it.
Considering my time schedule,
it does not seem feasible for me
to revise this code in the nearest future.
May be someone else could do it
quicker and more professionally.

Sincerely,
--------------------------------------------------------
--------------
 Aiaz BAKASSOV (English: Ayaz BAKASOV)  | Phone:  +41 1 
632 79 18
 Laboratorium fuer Phys. Chemie         | FAX:    +41 1 
632 10 21
 ETH-Zuerich (Zentrum)          | E-mail: 
[email-masked]
 CH-8092 Zurich, Switzerland    |         
[email-masked]
--------------------------------------------------------
--------------